import { ChainGunSeaClient, GunGraphAdapter, GunGraphConnector, GunProcessQueue } from '@chaingun/sea-client';
import SocketClusterGraphConnector from '@chaingun/socketcluster-connector';
interface Opts {
    readonly socketCluster: any;
}
export declare class NabTabulator extends ChainGunSeaClient {
    protected readonly socket: SocketClusterGraphConnector;
    protected readonly dbAdapter: GunGraphAdapter;
    protected readonly dbConnector: GunGraphConnector;
    protected readonly tabulatorQueue: GunProcessQueue<any>;
    constructor(options?: Opts);
    newScope(): any;
    authenticate(): void;
    protected directRead(soul: string): Promise<any>;
    protected didReceiveDiff(msg: any): void;
}
export {};
